 SUBROUTINE user_data_output_dvrp( output_variable, local_pf )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: user_data_output_dvrp.f90 226 2009-02-02 07:39:34Z raasch $
!
! 211 2008-11-11 04:46:24Z raasch
! Former file user_interface.f90 split into one file per subroutine
!
! Description:
! ------------
! Execution of user-defined dvrp output
!------------------------------------------------------------------------------!

    USE control_parameters
    USE indices
    USE pegrid
    USE user

    IMPLICIT NONE

    CHARACTER (LEN=*) ::  output_variable

    INTEGER ::  i, j, k

    REAL, DIMENSION(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d) ::  local_pf

!
!-- Here the user-defined DVRP output follows:

!
!-- Move original array to intermediate array
    SELECT CASE ( output_variable )

!       CASE ( 'u2', 'u2_xy', 'u2_xz', 'u2_yz'  )
!!
!!--       Here the user can add user_defined output quantities. 
!!--       Uncomment and extend the following lines, if necessary.
!          DO  i = nxl, nxr+1
!             DO  j = nys, nyn+1
!                DO  k = nzb, nz_do3d
!                   local_pf(i,j,k) = u2(k,j,i)
!                ENDDO
!             ENDDO
!          ENDDO


       CASE DEFAULT
!
!--       The DEFAULT case is reached if output_variable contains a
!--       wrong character string that is neither recognized in data_output_dvrp
!--       nor here in user_data_output_dvrp.
          IF ( myid == 0 )  THEN
             PRINT*,'+++ (user_)data_output_dvrp: no output possible for: ', &
                  output_variable
          ENDIF

    END SELECT


 END SUBROUTINE user_data_output_dvrp

